# In-house patch created to keep inappropriate full pathnames
# on build systems from being included in the ri Ruby doc files.
# Patch is Solaris specific and not appropriate for upstream use.

--- ruby-2.2.0/common.mk.~1~	2015-01-16 12:46:40.711222113 +0300
+++ ruby-2.2.0/common.mk	2015-01-16 12:48:12.119864467 +0300
@@ -421,9 +421,17 @@
 post-install-gem::
	@$(NULLCMD)

+# Eliminate full pathname from source directory references
+# in RDoc ri files.
+# Create a symlink here to the source directory so
+# rdoc can reference it from here without the full pathname
+srcdir_base=$(notdir $(srcdir))
 rdoc: PHONY main
	@echo Generating RDoc documentation
-	$(Q) $(XRUBY) "$(srcdir)/bin/rdoc" --root "$(srcdir)" --page-dir "$(srcdir)/doc" --encoding=UTF-8 --no-force-update --all --ri --op "$(RDOCOUT)" --debug $(RDOCFLAGS) "$(srcdir)"
+	if [ ! -e $(srcdir_base) ]; then \
+		/usr/bin/ln -s $(srcdir); \
+	fi
+	$(Q) $(XRUBY) "$(srcdir)/bin/rdoc" --encoding=UTF-8 --no-force-update --all --ri --op "$(RDOCOUT)" $(RDOCFLAGS) "$(srcdir_base)"

 html: PHONY main
	@echo Generating RDoc HTML files
